classification
Title: [subinterpreters] inittab_copy not set to NULL after free, can lead to crashes when running multiple interpreters in a single process
Type: crash Stage: patch review
Components: C API, Subinterpreters Versions: Python 3.9, Python 3.8, Python 3.7, Python 3.6, Python 3.5
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: indygreg, miss-islington
Priority: normal Keywords: patch

Created on 2020-04-28 00:51 by indygreg, last changed 2020-05-15 00:43 by vstinner.

Pull Requests
URL Status Linked Edit
PR 19746 merged indygreg, 2020-04-28 00:53
PR 19841 merged miss-islington, 2020-05-01 18:08
PR 19842 closed miss-islington, 2020-05-01 18:08
Messages (3)
msg367477 - (view) Author: Gregory Szorc (indygreg) * Date: 2020-04-28 00:51
Filing a bug to placate the requirement that pull requests have issues.
msg367869 - (view) Author: miss-islington (miss-islington) Date: 2020-05-01 18:07
New changeset 64224a4727321a8dd33e6f769edda401193ebef0 by Gregory Szorc in branch 'master':
bpo-40412: Nullify inittab_copy during finalization (GH-19746)
https://github.com/python/cpython/commit/64224a4727321a8dd33e6f769edda401193ebef0
msg367895 - (view) Author: miss-islington (miss-islington) Date: 2020-05-01 23:06
New changeset 1205afb3e10194fe22fa76385abb7e522144eb29 by Miss Islington (bot) in branch '3.8':
bpo-40412: Nullify inittab_copy during finalization (GH-19746)
https://github.com/python/cpython/commit/1205afb3e10194fe22fa76385abb7e522144eb29
History
Date User Action Args
2020-05-15 00:43:58vstinnersetcomponents: + Subinterpreters
title: inittab_copy not set to NULL after free, can lead to crashes when running multiple interpreters in a single process -> [subinterpreters] inittab_copy not set to NULL after free, can lead to crashes when running multiple interpreters in a single process
2020-05-01 23:06:27miss-islingtonsetmessages: + msg367895
2020-05-01 18:08:14miss-islingtonsetpull_requests: + pull_request19160
2020-05-01 18:08:06miss-islingtonsetpull_requests: + pull_request19159
2020-05-01 18:07:57miss-islingtonsetnosy: + miss-islington
messages: + msg367869
2020-04-28 00:53:13indygregsetkeywords: + patch
stage: patch review
pull_requests: + pull_request19068
2020-04-28 00:51:49indygregcreate